Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes
KDNODE Struct Reference

`#include <kdtree.h>`

List of all members.

## Public Attributes

FLOAT32 * | Key
void * | Data
FLOAT32 | BranchPoint
FLOAT32 | LeftBranch
FLOAT32 | RightBranch
struct KDNODE * | Left
struct KDNODE * | Right

## Detailed Description

NOTE: All circular parameters of all keys must be in the range

Min <= Param < Max

where Min and Max are specified in the KeyDesc parameter passed to MakeKDTree. All KD routines assume that this is true and will not operate correctly if circular parameters outside the specified range are used.

Definition at line 39 of file kdtree.h.

## Member Data Documentation

FLOAT32 KDNODE::BranchPoint

needed to make deletes work efficiently

Definition at line 42 of file kdtree.h.

void* KDNODE::Data

data that corresponds to key

Definition at line 41 of file kdtree.h.

FLOAT32* KDNODE::Key

search key

Definition at line 40 of file kdtree.h.

struct KDNODE* KDNODE::Left

ptrs for KD tree structure

Definition at line 45 of file kdtree.h.

FLOAT32 KDNODE::LeftBranch

used to optimize search pruning

Definition at line 43 of file kdtree.h.

struct KDNODE* KDNODE::Right

Definition at line 46 of file kdtree.h.

FLOAT32 KDNODE::RightBranch

used to optimize search pruning

Definition at line 44 of file kdtree.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/kdtree.h